Holger's Java API

## com.antelmann.net
Class HandshakeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.antelmann.net.HandshakeException

All Implemented Interfaces:
  Serializable

    public class HandshakeException

extends IOException

A HandshakeException is thrown to indicate that a handshake of a SocketConnection was not successful due to signatures that do not match.

Author:
  Holger Antelmann
See Also:
  `SocketConnection`, Serialized Form

Constructor Summary
`HandshakeException()`
`HandshakeException(IOException cause)`
`HandshakeException(String msg)`
`HandshakeException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HandshakeException

    public HandshakeException()

### HandshakeException

    public HandshakeException(String msg)

### HandshakeException

    public HandshakeException(IOException cause)

### HandshakeException

    public HandshakeException(Throwable cause)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads